<?php
// definitionen der spalten, die immer aus der stolperstein db gelesen werden
// funktion ist flexibler als eine variable
function getPoiSelectFields(): string {
    return "
        gid,
        first_name,
        last_name,
        year_of_birth,
        last_cleaned,
        street,
        house_no,
        localdistrict,
        caretaker,
        stone_position,
        url_kodb,
        url_wikipedia,
        CASE 
            WHEN last_cleaned < CURRENT_DATE - INTERVAL '3 months' OR last_cleaned IS NULL THEN TRUE
            ELSE FALSE
        END AS needs_cleaning
    ";
}
?>